const path = require('path')
const fs = require('fs-extra')
const inquirer = require('inquirer')
const Generator = require('./Generator')

module.exports = async function (name, options) {
  // 验证是否正常取到值
  const cwd = process.cwd()
  const targetPath = path.join(cwd, name)
  // 判断目录是否已经存在
  if (fs.existsSync(targetPath)) {
    // 判断是否强制创建
    if (options.force) {
    } else {
      // TODO 询问用户是否需要创建
      let { action } = await inquirer.prompt([
        {
          name: 'action',
          type: 'list',
          message: 'Target directory already exists, Please Pick an action:',
          choices: [
            {
              name: '覆盖',
              value: 'overwrite'
            },
            {
              name: '取消',
              value: 'cancel'
            }
          ]
        }
      ])
      if (action === 'overwrite') {
        // 移除已存在的文件夹
        console.log('\r\nRemoving...')
        // fs.removeSync(targetPath)
      } else {
        return
      }
    }
  }

  // 开始创建项目
  const generator = new Generator(name, targetPath)
  generator.create()
}
